Skip to main content
POST
/
api
/
v1
/
checkout
/
sessions
/
{sessionId}
/
pay
cURL
curl --request POST \
  --url https://vpos.payven.com.tr/api/v1/checkout/sessions/{sessionId}/pay \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "externalId": "<string>",
  "basketId": "<string>",
  "amount": {
    "amount": 123,
    "currency": "<string>"
  },
  "installment": 123,
  "card": {
    "holderName": "<string>",
    "number": "<string>",
    "expireMonth": "<string>",
    "expireYear": "<string>",
    "cvv": "<string>"
  },
  "description": "<string>",
  "buyer": {
    "id": "<string>",
    "name": "<string>",
    "surname": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "ipAddress": "<string>",
    "identityNumber": "<string>"
  },
  "billingAddress": {
    "contactName": "<string>",
    "city": "<string>",
    "country": "<string>",
    "address": "<string>",
    "postalCode": "<string>"
  },
  "shippingAddress": {
    "contactName": "<string>",
    "city": "<string>",
    "country": "<string>",
    "address": "<string>",
    "postalCode": "<string>"
  },
  "basketItems": [
    {
      "id": "<string>",
      "name": "<string>",
      "price": 123,
      "quantity": 123
    }
  ],
  "callbackUrl": "<string>",
  "cancelUrl": "<string>",
  "returnUrl": "<string>",
  "operationType": "Sale",
  "extraProperties": {}
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "isSuccess": true,
    "message": "<string>",
    "errorCode": "<string>",
    "providerErrorCode": "<string>",
    "extraProperties": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

sessionId
string
required

Body

externalId
string | null
basketId
string | null
amount
object
installment
integer<int32>
card
object
description
string | null
buyer
object
billingAddress
object
shippingAddress
object
basketItems
object[] | null
callbackUrl
string | null
cancelUrl
string | null
returnUrl
string | null
operationType
enum<integer>
Available options:
Sale,
PreAuth,
PostAuth,
Void,
Refund,
Recurring
extraProperties
object

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object